"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var icons_1 = require("@ant-design/icons");
var styled_1 = tslib_1.__importDefault(require("@emotion/styled"));
var antd_1 = require("antd");
var react_1 = tslib_1.__importDefault(require("react"));
var Ellipsis_1 = require("../UI/Ellipsis");
var Image_1 = tslib_1.__importDefault(require("../UI/Image"));
var link_1 = tslib_1.__importDefault(require("next/link"));
var UserRole;
(function (UserRole) {
    UserRole["ADMIN"] = "ROLE_ADMIN";
    UserRole["CHEF"] = "ROLE_CHEF";
    UserRole["USER"] = "ROLE_USER";
    UserRole["CONTENT_MANAGER"] = "ROLE_CONTENT_MANAGER";
})(UserRole || (UserRole = {}));
var SortBy = function (_a) {
    var _b, _c, _d, _e, _f;
    var product = _a.product, user = _a.user, handleAddToWishlist = _a.handleAddToWishlist, isInWishlist = _a.isInWishlist;
    return (react_1["default"].createElement(ShopItemWrapper, { className: "p-1 pb-2 lg:p-6 relative mt-4 mb-1 lg:mb-16 z-50 hover:mb-2 bg-white" },
        react_1["default"].createElement("div", { className: "relative h-0", style: { paddingTop: '100%' } },
            react_1["default"].createElement(link_1["default"], { href: "/shop/product".concat(product.path) },
                react_1["default"].createElement("a", null,
                    react_1["default"].createElement(Image_1["default"], { size: "normal", className: "absolute top-0 left-0 !object-contain", data: (_c = (_b = product === null || product === void 0 ? void 0 : product.images[0]) === null || _b === void 0 ? void 0 : _b.url) !== null && _c !== void 0 ? _c : '/images/default-thumbnail.png', alt: "thumbnail" })))),
        react_1["default"].createElement(antd_1.Button, { className: "absolute right-2 lg:right-7 top-2 lg:top-7 shadow-md bg-white ant-btn-borderless", shape: "circle", disabled: ((_d = user === null || user === void 0 ? void 0 : user.roles) === null || _d === void 0 ? void 0 : _d.includes(UserRole.ADMIN)) ||
                ((_e = user === null || user === void 0 ? void 0 : user.roles) === null || _e === void 0 ? void 0 : _e.includes(UserRole.CONTENT_MANAGER)) ||
                ((_f = user === null || user === void 0 ? void 0 : user.roles) === null || _f === void 0 ? void 0 : _f.includes(UserRole.CHEF)), icon: react_1["default"].createElement(antd_1.Tooltip, { mouseLeaveDelay: 0, zIndex: 51, title: isInWishlist ? 'Remove from Wishlist' : 'Add to Wishlist' },
                react_1["default"].createElement(icons_1.HeartFilled, { className: "text-xl", style: { color: isInWishlist ? '#ce4646' : '#ccc' } })), onClick: function () { return handleAddToWishlist(); } }),
        react_1["default"].createElement("div", { className: "w-full p-1 lg:p-3" },
            react_1["default"].createElement(link_1["default"], { href: "/shop/product".concat(product.path) },
                react_1["default"].createElement("a", null,
                    react_1["default"].createElement(Ellipsis_1.Ellipsis, { className: "text-base font-bold h-12", maxLines: 2 }, product.name)))),
        react_1["default"].createElement("div", { className: "h-px mx-1 lg:mx-3 mb-2 bg-black w-auto" })));
};
exports["default"] = SortBy;
var ShopItemWrapper = styled_1["default"].section(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  transition: transform 0.2s ease-out;\n  box-shadow: 0 0 6px 0px rgba(0, 0, 0, 0.1), 0 0 4px 0px rgba(0, 0, 0, 0.06);\n  &:hover {\n    margin-bottom: 0;\n    transform: scale(1.01);\n    box-shadow: 0 0 15px 0px rgba(0, 0, 0, 0.1), 0 0 6px 0px rgba(0, 0, 0, 0.05);\n    .add-button {\n      animation: scale-display 0.3s;\n      display: block;\n    }\n  }\n  .price {\n    font-family: var(--font-title);\n  }\n  @keyframes scale-display {\n    0% {\n      opacity: 0;\n    }\n    100% {\n      opacity: 1;\n    }\n  }\n"], ["\n  transition: transform 0.2s ease-out;\n  box-shadow: 0 0 6px 0px rgba(0, 0, 0, 0.1), 0 0 4px 0px rgba(0, 0, 0, 0.06);\n  &:hover {\n    margin-bottom: 0;\n    transform: scale(1.01);\n    box-shadow: 0 0 15px 0px rgba(0, 0, 0, 0.1), 0 0 6px 0px rgba(0, 0, 0, 0.05);\n    .add-button {\n      animation: scale-display 0.3s;\n      display: block;\n    }\n  }\n  .price {\n    font-family: var(--font-title);\n  }\n  @keyframes scale-display {\n    0% {\n      opacity: 0;\n    }\n    100% {\n      opacity: 1;\n    }\n  }\n"])));
var templateObject_1;
//# sourceMappingURL=SortBy.js.map